package ru.yandex.webmaster3.viewer.http.indexing2.events;

import ru.yandex.webmaster3.core.data.HttpCodeInfo;
import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.ActionStatus;

import java.util.List;

/**
 * Created by leonidrom on 17/02/2017.
 */
public class IndexedUrlEventCodesResponse implements ActionResponse.NormalResponse {
    private final List<HttpCodeInfo> previousCodes;
    private final List<HttpCodeInfo> currentCodes;

    public IndexedUrlEventCodesResponse(List<HttpCodeInfo> previousCodes,
                                        List<HttpCodeInfo> currentCodes) {
        this.previousCodes = previousCodes;
        this.currentCodes = currentCodes;
    }

    public List<HttpCodeInfo> getPreviousCodes() {
        return previousCodes;
    }

    public List<HttpCodeInfo> getCurrentCodes() {
        return currentCodes;
    }
}
